<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ServiceLog extends Model {
    use HasFactory;
    public $timestamps = false;
	protected $guarded = [];
    public function user() {
    	return $this->belongsTo('App\Models\User', 'user_id'); 
    }
    public function service() {
    	return $this->belongsTo('App\Models\Service', 'service_id'); 
    }
    public function provider() {
    	return $this->belongsTo('App\Models\ServiceProvider', 'provider_id'); 
    }
}
